%define name gai-blobs
%define version 0.2b
%define release %mkrel 5

Name: %name
Summary: GAI applet displaying blobs
Version: %{version}
Release: %{release}
License: GPL
Url: http://gai.sf.net
Group: Games/Other
Source: http://prdownloads.sourceforge.net/gai/%{name}-%{version}.tar.bz2
Source10:   %{name}-16.png
Source11:   %{name}-32.png
Source12:   %{name}-48.png
BuildRoot: %{_tmppath}/build-root-%{name}

BuildRequires: automake >= 1.4
BuildRequires: libgai-devel >= 0.5

%description
GAI applet displaying blobs. This can be used in several panels,
inlcuding the GNOME one.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
%setup -q 

%build
%configure
%make 

%install
rm -rf ${RPM_BUILD_ROOT}
install -m755 %name -D $RPM_BUILD_ROOT%{_bindir}/%name
install -m644 GNOME_DefaultApplet.server -D $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/GNOME_%{name}Applet.server
install -m644 %name-icon.png -D $RPM_BUILD_ROOT%{_datadir}/pixmaps/%name-icon.png
install -m644 %SOURCE10 -D %{buildroot}/%_miconsdir/%name.png
install -m644 %SOURCE11 -D %{buildroot}/%_iconsdir/%name.png
install -m644 %SOURCE12 -D %{buildroot}/%_liconsdir/%name.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Gai-blobs
Comment=Blobs viewer :)
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Other;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root,0755)
%doc INSTALL README README.gai
%{_bindir}/*
%{_libdir}/bonobo/servers/GNOME_%{name}Applet.server
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/pixmaps/*
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png




%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2b-5mdv2009.0
+ Revision: 245600
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.2b-3mdv2008.1
+ Revision: 140731
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character


* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 12:55:42 (53456)
- xdg menu

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 12:48:45 (53455)
Import gai-blobs

* Tue Oct 04 2005 Olivier Thauvin <nanardon@mandriva.org> 0.2b-2mdk
- rebuild

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2b-1mdk
- fix description
- new version

* Sat Nov 01 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- rebuild for new gai

* Mon Sep 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2-1mdk
- From Bellegarde Cedric <gnumdk@wanadoo.fr>
    - Make a spec file

